mrif_inh_3d_plan Struct Reference

## Data Fields

NFFT_INT | N_total
| Total number of Fourier coefficients.
NFFT_INT | M_total
| Total number of samples.
fftwf_complex * | f_hat
| Fourier coefficients.
fftwf_complex * | f
| Samples.
void(* | mv_trafo )(void *)
| Transform.
void(* | mv_adjoint )(void *)
| Adjoint transform.
nfftf_plan | plan
int | N3
float | sigma3
float * | t
float * | w

## Detailed Description

Definition at line 525 of file nfft3.h.

## Field Documentation

## N_total

NFFT_INT mrif_inh_3d_plan::N_total

Total number of Fourier coefficients.

Definition at line 525 of file nfft3.h.

## M_total

NFFT_INT mrif_inh_3d_plan::M_total

Total number of samples.

Definition at line 525 of file nfft3.h.

## f_hat

fftwf_complex* mrif_inh_3d_plan::f_hat

Fourier coefficients.

Definition at line 525 of file nfft3.h.

## f

fftwf_complex* mrif_inh_3d_plan::f

Samples.

Definition at line 525 of file nfft3.h.

## mv_trafo

void(* mrif_inh_3d_plan::mv_trafo) (void *)

Transform.

Definition at line 525 of file nfft3.h.

## mv_adjoint

void(* mrif_inh_3d_plan::mv_adjoint) (void *)

Adjoint transform.

Definition at line 525 of file nfft3.h.

## plan

nfftf_plan mrif_inh_3d_plan::plan

Definition at line 525 of file nfft3.h.

## N3

int mrif_inh_3d_plan::N3

Definition at line 525 of file nfft3.h.

## sigma3

float mrif_inh_3d_plan::sigma3

Definition at line 525 of file nfft3.h.

## t

float* mrif_inh_3d_plan::t

Definition at line 525 of file nfft3.h.

## w

float* mrif_inh_3d_plan::w

Definition at line 525 of file nfft3.h.

The documentation for this struct was generated from the following file:

- nfft3.h